/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionButtonPairDescription = /*@__PURE__*/ (() => {
    class ToolActionButtonPairDescription extends ToolActionDescription {
        get_type() {
            return "ToolActionButtonPair";
        }
        constructor() {
            super();
            this.d5 = false;
            this.d7 = false;
            this.d4 = false;
            this.d6 = false;
            this.e7 = null;
            this.e4 = null;
            this.d3 = false;
            this.e5 = null;
            this.eg = 0;
            this.eh = 0;
            this.ei = 0;
            this.ef = 0;
            this.e6 = null;
            this.ez = null;
            this.dv = null;
            this.e8 = null;
            this.e0 = null;
            this.dw = null;
            this.ee = 0;
            this.e9 = null;
            this.fd = null;
            this.fa = null;
            this.fb = null;
            this.el = 0;
            this.em = 0;
            this.en = 0;
            this.ek = 0;
            this.fc = null;
            this.e1 = null;
            this.dx = null;
            this.fe = null;
            this.e2 = null;
            this.dy = null;
            this.ej = 0;
            this.ff = null;
            this.e3 = null;
            this.ed = 0;
        }
        get leftIsSelected() {
            return this.d5;
        }
        set leftIsSelected(a) {
            this.d5 = a;
            this.g("LeftIsSelected");
        }
        get rightIsSelected() {
            return this.d7;
        }
        set rightIsSelected(a) {
            this.d7 = a;
            this.g("RightIsSelected");
        }
        get leftIsDisabled() {
            return this.d4;
        }
        set leftIsDisabled(a) {
            this.d4 = a;
            this.g("LeftIsDisabled");
        }
        get rightIsDisabled() {
            return this.d6;
        }
        set rightIsDisabled(a) {
            this.d6 = a;
            this.g("RightIsDisabled");
        }
        get leftIconName() {
            return this.e7;
        }
        set leftIconName(a) {
            this.e7 = a;
            this.g("LeftIconName");
        }
        get leftCommandArgument() {
            return this.e4;
        }
        set leftCommandArgument(a) {
            this.e4 = a;
            this.g("LeftCommandArgument");
        }
        get isToggleDisabled() {
            return this.d3;
        }
        set isToggleDisabled(a) {
            this.d3 = a;
            this.g("IsToggleDisabled");
        }
        get leftIconCollectionName() {
            return this.e5;
        }
        set leftIconCollectionName(a) {
            this.e5 = a;
            this.g("LeftIconCollectionName");
        }
        get leftIconViewBoxLeft() {
            return this.eg;
        }
        set leftIconViewBoxLeft(a) {
            this.eg = a;
            this.g("LeftIconViewBoxLeft");
        }
        get leftIconViewBoxTop() {
            return this.eh;
        }
        set leftIconViewBoxTop(a) {
            this.eh = a;
            this.g("LeftIconViewBoxTop");
        }
        get leftIconViewBoxWidth() {
            return this.ei;
        }
        set leftIconViewBoxWidth(a) {
            this.ei = a;
            this.g("LeftIconViewBoxWidth");
        }
        get leftIconViewBoxHeight() {
            return this.ef;
        }
        set leftIconViewBoxHeight(a) {
            this.ef = a;
            this.g("LeftIconViewBoxHeight");
        }
        get leftIconFill() {
            return this.e6;
        }
        set leftIconFill(a) {
            this.e6 = a;
            this.g("LeftIconFill");
        }
        get actualLeftIconFill() {
            return this.ez;
        }
        set actualLeftIconFill(a) {
            this.ez = a;
            this.g("ActualLeftIconFill");
        }
        get leftIconFillColors() {
            return this.dv;
        }
        set leftIconFillColors(a) {
            this.dv = a;
            this.g("LeftIconFillColors");
        }
        get leftIconStroke() {
            return this.e8;
        }
        set leftIconStroke(a) {
            this.e8 = a;
            this.g("LeftIconStroke");
        }
        get actualLeftIconStroke() {
            return this.e0;
        }
        set actualLeftIconStroke(a) {
            this.e0 = a;
            this.g("ActualLeftIconStroke");
        }
        get leftIconStrokeColors() {
            return this.dw;
        }
        set leftIconStrokeColors(a) {
            this.dw = a;
            this.g("LeftIconStrokeColors");
        }
        get leftIconStrokeWidth() {
            return this.ee;
        }
        set leftIconStrokeWidth(a) {
            this.ee = a;
            this.g("LeftIconStrokeWidth");
        }
        get leftTitle() {
            return this.e9;
        }
        set leftTitle(a) {
            this.e9 = a;
            this.g("LeftTitle");
        }
        get rightIconName() {
            return this.fd;
        }
        set rightIconName(a) {
            this.fd = a;
            this.g("RightIconName");
        }
        get rightCommandArgument() {
            return this.fa;
        }
        set rightCommandArgument(a) {
            this.fa = a;
            this.g("RightCommandArgument");
        }
        get rightIconCollectionName() {
            return this.fb;
        }
        set rightIconCollectionName(a) {
            this.fb = a;
            this.g("RightIconCollectionName");
        }
        get rightIconViewBoxLeft() {
            return this.el;
        }
        set rightIconViewBoxLeft(a) {
            this.el = a;
            this.g("RightIconViewBoxLeft");
        }
        get rightIconViewBoxTop() {
            return this.em;
        }
        set rightIconViewBoxTop(a) {
            this.em = a;
            this.g("RightIconViewBoxTop");
        }
        get rightIconViewBoxWidth() {
            return this.en;
        }
        set rightIconViewBoxWidth(a) {
            this.en = a;
            this.g("RightIconViewBoxWidth");
        }
        get rightIconViewBoxHeight() {
            return this.ek;
        }
        set rightIconViewBoxHeight(a) {
            this.ek = a;
            this.g("RightIconViewBoxHeight");
        }
        get rightIconFill() {
            return this.fc;
        }
        set rightIconFill(a) {
            this.fc = a;
            this.g("RightIconFill");
        }
        get actualRightIconFill() {
            return this.e1;
        }
        set actualRightIconFill(a) {
            this.e1 = a;
            this.g("ActualRightIconFill");
        }
        get rightIconFillColors() {
            return this.dx;
        }
        set rightIconFillColors(a) {
            this.dx = a;
            this.g("RightIconFillColors");
        }
        get rightIconStroke() {
            return this.fe;
        }
        set rightIconStroke(a) {
            this.fe = a;
            this.g("RightIconStroke");
        }
        get actualRightIconStroke() {
            return this.e2;
        }
        set actualRightIconStroke(a) {
            this.e2 = a;
            this.g("ActualRightIconStroke");
        }
        get rightIconStrokeColors() {
            return this.dy;
        }
        set rightIconStrokeColors(a) {
            this.dy = a;
            this.g("RightIconStrokeColors");
        }
        get rightIconStrokeWidth() {
            return this.ej;
        }
        set rightIconStrokeWidth(a) {
            this.ej = a;
            this.g("RightIconStrokeWidth");
        }
        get rightTitle() {
            return this.ff;
        }
        set rightTitle(a) {
            this.ff = a;
            this.g("RightTitle");
        }
        get displayType() {
            return this.e3;
        }
        set displayType(a) {
            this.e3 = a;
            this.g("DisplayType");
        }
        get cornerRadius() {
            return this.ed;
        }
        set cornerRadius(a) {
            this.ed = a;
            this.g("CornerRadius");
        }
    }
    ToolActionButtonPairDescription.$t = /*@__PURE__*/ markType(ToolActionButtonPairDescription, 'ToolActionButtonPairDescription', ToolActionDescription.$);
    return ToolActionButtonPairDescription;
})();
